curl 'https://api.sandbox.uqpay.org/api/v1/cards/d3827a04-837b-41d5-8fad-8bdfa232bbb3' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"card_balance": "10",
"card_bin": "491724",
"card_currency": "USD",
"card_holder_id": "65dd6638-5c23-4d9c-9672-1e7fd0fb0c14",
"card_name": "testf's card",
"card_number": "9333019900054650",
"card_scheme": "VISA",
"card_status": "ACTIVE",
"card_type": "PREPAID",
"create_time": "2023-10-12T11:52:33+08:00",
"form_factor": "VIRTUAL",
"update_time": "2023-10-12T17:04:15+08:00"
}
}
Cards
Retrieve card details
This endpoint retrieve card details by card id.
GET
/
api
/
v1
/
cards
/
{card_id}
curl 'https://api.sandbox.uqpay.org/api/v1/cards/d3827a04-837b-41d5-8fad-8bdfa232bbb3' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"card_balance": "10",
"card_bin": "491724",
"card_currency": "USD",
"card_holder_id": "65dd6638-5c23-4d9c-9672-1e7fd0fb0c14",
"card_name": "testf's card",
"card_number": "9333019900054650",
"card_scheme": "VISA",
"card_status": "ACTIVE",
"card_type": "PREPAID",
"create_time": "2023-10-12T11:52:33+08:00",
"form_factor": "VIRTUAL",
"update_time": "2023-10-12T17:04:15+08:00"
}
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
string
required
Unique Identifier for card.
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
array
Hide details
Hide details
string
Balance of card.
string
Bin of card.
string
Currency of card.
string
The id of the cardholder for the card.
string
A name for the card.
number
Card number.
number
Card scheme.
string
Current card status.
One of
One of
PENDING, ACTIVE, INACTIVE, BLOCKED, LOST, STOLEN, CLOSED, FAILEDstring
Card type.
string
Card create time.
string
Form of the card.
string
Card update time.
curl 'https://api.sandbox.uqpay.org/api/v1/cards/d3827a04-837b-41d5-8fad-8bdfa232bbb3' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"card_balance": "10",
"card_bin": "491724",
"card_currency": "USD",
"card_holder_id": "65dd6638-5c23-4d9c-9672-1e7fd0fb0c14",
"card_name": "testf's card",
"card_number": "9333019900054650",
"card_scheme": "VISA",
"card_status": "ACTIVE",
"card_type": "PREPAID",
"create_time": "2023-10-12T11:52:33+08:00",
"form_factor": "VIRTUAL",
"update_time": "2023-10-12T17:04:15+08:00"
}
}
⌘I